#! -*- coding: utf-8 -*-
import logging

from django.core.paginator import Paginator
from django.utils.translation import ugettext as _
from django.conf import settings
from django.contrib.auth.models import Group, User
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.tokens import default_token_generator
from django.contrib import messages
from django.contrib.auth.forms import AuthenticationForm
from django.core.urlresolvers import reverse
from django.http import HttpResponseRedirect
from django.utils.http import base36_to_int
from django.core.urlresolvers import NoReverseMatch

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from cms.utils import urlutils
from cms.models import Page, Title

import persistent_messages

#from registration.backends import get_backend

from jmb.core.utils.functions import import_class
from jmb.core.utils.cmsutils import get_abs_url_from_slug
from jmb.core.middleware.force_response import ForceResponse

try:
    if not settings.VISTESOAP_FAKE_DATA:
        from acomea.soap.models import AcomeaClientRiservataCms
except AttributeError:
    pass
from acomea.utenti.cms.models import LoginSettings
from acomea.utenti.cms.models import RecoveryPasswordSettings, ResetPasswordSettings

from acomea.utenti.views import genera_one_time_password
from acomea.flussi.utils import get_or_create_metric, metric

log = logging.getLogger('acomea.utenti')

# class PosizioneDettaglioPlugin(CMSPluginBase):
#     model = PosizioneDettaglioSettings
#     name = _("Posizione dettaglio")
#     module = _("Utenti")

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         utente = request.user
#         self.render_template = "utenti/cms_plugins/empty.html"
#         # per utente admin senza profile
#         try:
#             profile = utente.get_profile().get_cliente()
#         except:
#             return context

#         if utente.is_authenticated() and profile:
#             if not settings.VISTESOAP_FAKE_DATA:
#                 a = AcomeaClientRiservataCms()
#             # CLIENTE
#             dati_dettaglio = {}
#             lista_partecipazioni = ('INTESTATARIO', 'COINTESTATARIO')
#             lista_prodotti = ('TUTTO', 'FONDICOMUNI', 'GESTIONI', 'CONSULENZA')


#             for partecipazione in lista_partecipazioni:
#                 dati_dettaglio[partecipazione] = {}
#                 for prodotto in lista_prodotti:
#                     dati = a.get_dettaglio(prodotto, partecipazione, utente.get_profile().get_lead().codice_fiscale)
#                     dati_dettaglio[partecipazione][prodotto] = dati

#             self.render_template = instance.template_name

#             context.update({
#                 'instance': instance,
#                 'placeholder': placeholder,
#                 'dati_dettaglio' : dati_dettaglio,
#                 'utente': utente
#             })
#         return context
#plugin_pool.register_plugin(PosizioneDettaglioPlugin)

# class PosizionePromotorePlugin(CMSPluginBase):
#     model = PosizionePromotoreSettings
#     name = _("Posizione Promotore")
#     module = _("Utenti")

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         utente = request.user

#         self.render_template = "utenti/cms_plugins/empty.html"

#         # per utente admin senza profile
#         try:
#             profile = utente.get_profile().get_promotore()
#         except:
#             return context

#         if utente.is_authenticated() and profile:
#             if not settings.VISTESOAP_FAKE_DATA:
#                 a = AcomeaClientRiservataCms()

#             # ACOMEA
#             self.render_template = instance.template_name

#             context.update({
#                 'instance': instance,
#                 'placeholder': placeholder,
#                 'utente': utente
#             })

#         return context
# plugin_pool.register_plugin(PosizionePromotorePlugin)

# class PosizioneRetePlugin(CMSPluginBase):
#     model = PosizioneReteSettings
#     name = _("Posizione Rete")
#     module = _("Utenti")

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         utente = request.user

#         self.render_template = "utenti/cms_plugins/empty.html"

#         # per utente admin senza profile
#         try:
#             profile = utente.get_profile().get_utenterete()
#         except:
#             return context

#         if utente.is_authenticated() and profile:
#             if not settings.VISTESOAP_FAKE_DATA:
#                 a = AcomeaClientRiservataCms()

#             # ACOMEA
#             self.render_template = instance.template_name

#             context.update({
#                 'instance': instance,
#                 'placeholder': placeholder,
#                 'utente': utente
#             })

#         return context
# plugin_pool.register_plugin(PosizioneRetePlugin)


# class PosizioneAcomeAPlugin(CMSPluginBase):
#     model = PosizioneAcomeASettings
#     name = _("Posizione AcomeA")
#     module = _("Utenti")

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         utente = request.user

#         self.render_template = "utenti/cms_plugins/empty.html"

#         # per utente admin senza profile
#         try:
#             profile = utente.get_profile().get_acomea()
#         except:
#             return context

#         if utente.is_authenticated() and profile:

#             # ACOMEA
#             self.render_template = instance.template_name
#             url_verso_frams = None
#             link_frams_acomea = None

#             if request.method == "POST":
#                 form_codice_nodo = AcomeaCodiceNodoForm(request.POST)
#                 if form_codice_nodo.is_valid():
#                     codice = form_codice_nodo.cleaned_data['codice_nodo'].strip()

#                     if form_codice_nodo.cleaned_data['profilo_tipo'] == 'privato':
#                         o = OneTimePassword.objects.create(
#                             otp=genera_one_time_password(request),
#                             sessionid=request.COOKIES['sessionid'],
#                             utente_richiedente=request.user,
#                             codice_richiedente=codice
#                         )
#                         link_frams_acomea = 'cliente'
#                         url_verso_frams = "%s/Login.aspx?OTP=%s&SessionID=%s" % (
#                             settings.UTENTI_FRAMS_HOST_CLIENT, o.otp, request.COOKIES['sessionid']
#                         )
#                         # logger.debug("url_verso_frams (privato): %s" % url_verso_frams)

#                     elif form_codice_nodo.cleaned_data['profilo_tipo'] == 'professionale':
#                         o = OneTimePassword.objects.create(
#                             otp=genera_one_time_password(request),
#                             sessionid=request.COOKIES['sessionid'],
#                             utente_richiedente=request.user,
#                             codice_richiedente=codice
#                         )
#                         link_frams_acomea = 'promotore'
#                         url_verso_frams = "%s/login/?OTP=%s&SessionID=%s" % (
#                             settings.UTENTI_FRAMS_HOST_PRIVATE, o.otp, request.COOKIES['sessionid']
#                         )
#                         # logger.debug("url_verso_frams (professionale): %s" % url_verso_frams)

#             else:
#                 form_codice_nodo = AcomeaCodiceNodoForm()

#             context.update({
#                 'instance': instance,
#                 'placeholder': placeholder,
#                 'utente': utente,
#                 'form_codice_nodo': form_codice_nodo,
#                 'url_verso_frams': url_verso_frams,
#                 'link_frams_acomea': link_frams_acomea
#             })

#         return context
# plugin_pool.register_plugin(PosizioneAcomeAPlugin)


# class PosizioneIntestazionePlugin(CMSPluginBase):
#     model = PosizioneIntestazioneSettings
#     name = _("Posizione intestazione")
#     module = _("Utenti")

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         utente = request.user
#         self.render_template = "utenti/cms_plugins/empty.html"

#         # per utente admin senza profile
#         try:
#             profile = utente.get_profile()
#         except:
#             return context

#         if utente.is_authenticated() and profile:
#             if (
#                 profile.is_lead() or profile.is_cliente() or
#                 profile.is_promotore() or profile.is_utenterete() or profile.is_acomea()
#             ):
#                 dati_utente = utente.get_profile().get_lead()
#                 self.render_template = instance.template_name
#                 context.update({
#                     'instance': instance,
#                     'placeholder': placeholder,
#                     'profile': dati_utente
#                 })
#         return context
# plugin_pool.register_plugin(PosizioneIntestazionePlugin)

# class PosizioneRiepilogoPlugin(CMSPluginBase):
#     model = PosizioneRiepilogoSettings
#     name = _("Posizione riepilogo")
#     module = _("Utenti")

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         utente = request.user

#         self.render_template = "utenti/cms_plugins/empty.html"

#         # per utente admin senza profile
#         try:
#             profile = utente.get_profile().get_cliente()
#         except:
#             return context

#         if utente.is_authenticated() and profile:
#             if not settings.VISTESOAP_FAKE_DATA:
#                 a = AcomeaClientRiservataCms()

#             dati_riepilogo = {}
#             lista_partecipazioni = ('INTESTATARIO', 'COINTESTATARIO')
#             lista_prodotti = ('TUTTO', 'FONDICOMUNI', 'GESTIONI', 'CONSULENZA')
#             for partecipazione in lista_partecipazioni:
#                 dati_riepilogo[partecipazione] = {}
#                 for prodotto in lista_prodotti:
#                     dati = a.get_riepilogo(
#                         prodotto, partecipazione,
#                         utente.get_profile().get_lead().codice_fiscale
#                     )
#                     dati_riepilogo[partecipazione][prodotto] = dati
#             self.render_template = instance.template_name
#             context.update({
#                 'instance': instance,
#                 'placeholder': placeholder,
#                 'lista_partecipazioni' : lista_partecipazioni,
#                 'lista_prodotti' : lista_prodotti,
#                 'dati_riepilogo' : dati_riepilogo
#             })
#         return context
#plugin_pool.register_plugin(PosizioneRiepilogoPlugin)

class LoginPlugin(CMSPluginBase):
    module = _('Utenti')
    model = LoginSettings
    name = _('Login Form')
    admin_preview = False

    def render(self, context, instance, placeholder):

        request = context['request']
        self.render_template = instance.template_name
        #var. passata al template per un refresh lato client della pagina dopo aver effettuato il login
        login_successfull = 0
        if request.method == "POST" and 'login-form' in request.POST and not request.user.is_authenticated():
            login_form = AuthenticationForm(data=request.POST)
            login_form.fields['username'].max_length=50
            login_form.fields['username'].validators[0].limit_value = 50
            if login_form.is_valid():
                # log the user in

                login(request, login_form.get_user())
                login_successfull = 1
                #messages.success(request, _("welcome %s" % request.user.first_name))
                get_or_create_metric(name='Navigato in AreaWiki', slug='navigato_in_areawiki')
                u = request.user
                metric('navigato_in_areawiki', num=1, user=u)
                self._redirect_if_is_acomea(u, 'my_acomea')
            else:
                for error in login_form.non_field_errors():
                    pass
                    #messages.error(request, error)
                for field in login_form:
                    if field.errors:
                        messages.error(request, '%s: %s' % (field.label_tag(), field.errors))
        else:
            login_form = AuthenticationForm(request)

        # page redirection url after successful login
        redirect_url = None

        if login_successfull == 1:

            if login_successfull == 1 and instance.redirect_to:
                try:
                    redirect_url = urlutils.urljoin(reverse('pages-root'), instance.redirect_to)
                    raise ForceResponse(HttpResponseRedirect(redirect_url))
                except NoReverseMatch:
                    pass

        context.update({
            'object': instance,
            'form': login_form,
            'placeholder': placeholder,
            'login_successfull': login_successfull,
        })

        return context


    def _redirect_if_is_acomea(self, user=None, redirect_page_slug=None):
         try:
	     profilo = user.profilo
             url = get_abs_url_from_slug(redirect_page_slug)
         except:
             return
         if profilo.is_acomea and url:
             raise ForceResponse(HttpResponseRedirect(url))

plugin_pool.register_plugin(LoginPlugin)




# class RegistrazioneLeadPlugin(CMSPluginBase):
#     module = _('Utenti')
#     model = RegistrazioneLeadSettings
#     name = _('Registrazione Lead Form')
#     admin_preview = False

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         user = request.user
#         registration_form = None

#         self.render_template = "utenti/cms_plugins/registration/registration_form.html"

#         if user.is_anonymous():
#             backend = get_backend('acomea.utenti.backend.AcomeaBackend')
#             form_class = backend.get_form_class(request)
#             if request.method == 'POST' and 'register_submit' in request.POST:
#                 registration_form = form_class(data=request.POST, files=request.FILES)
#                 if registration_form.is_valid():
#                     new_user = backend.register(request, **registration_form.cleaned_data)
#                     add_lead_profile_to_user(new_user, registration_form.cleaned_data)

#                     # set contact
#                     groups = Group.objects.filter(
#                         id__exact=registration_form.cleaned_data['gruppo_newsletter']
#                     )
#                     if registration_form.cleaned_data['iscrizione_alla_newsletter']:
#                         register_contact(new_user.first_name, new_user.last_name, new_user.email, groups)

#                     self.render_template = "utenti/cms_plugins/registration/registration_done.html"

#             else:
#                 registration_form = form_class()

#         context.update({
#             'object': instance,
#             'registration_form': registration_form,
#             'placeholder': placeholder,
#         })

#         return context

#plugin_pool.register_plugin(RegistrazioneLeadPlugin)

# class RegistrazioneLeadNewPlugin(CMSPluginBase):
#     module = _('Utenti')
#     model = RegistrazioneLeadNewSettings
#     name = _('Registrazione Lead New Form')
#     admin_preview = False

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         if not instance.status:
#             self.render_template = "utenti/cms_plugins/empty.html"
#             return context

#         user = request.user
#         registration_form = None

#         self.render_template = instance.form_template_name

#         if user.is_anonymous():
#             backend = get_backend('acomea.utenti.backend.AcomeaBackend')
#             form_class = import_class(instance.form)
#             if request.method == 'POST' and 'registration_lead_new_submit' in request.POST:
#                 registration_form = form_class(data=request.POST, files=request.FILES)
#                 if registration_form.is_valid():
#                     new_user = backend.register(request, **registration_form.cleaned_data)
#                     add_lead_profile_to_user(new_user, registration_form.cleaned_data)

#                     # professionale
#                     if (
#                         registration_form.cleaned_data['iscrizione_alla_newsletter'] and
#                         registration_form.cleaned_data['professionale']
#                     ):
#                         groups = Group.objects.filter(id=7)
#                         register_contact(new_user.first_name, new_user.last_name, new_user.email, groups)
#                     # privati
#                     if (
#                         registration_form.cleaned_data['iscrizione_alla_newsletter'] and not
#                         registration_form.cleaned_data['professionale']
#                     ):
#                         groups = Group.objects.filter(id=5)
#                         register_contact(new_user.first_name, new_user.last_name, new_user.email, groups)

#                     redirect_url = get_abs_url_from_slug(instance.registration_done_slug)
#                     if redirect_url:
#                         raise ForceResponse(HttpResponseRedirect(redirect_url))
#                     raise ForceResponse(HttpResponseRedirect('/'))

#             else:
#                 registration_form = form_class()

#         context.update({
#             'object': instance,
#             'registration_form': registration_form,
#             'placeholder': placeholder,
#         })

#         return context

# plugin_pool.register_plugin(RegistrazioneLeadNewPlugin)

# class CheckCodiceFiscalePlugin(CMSPluginBase):
#     module = _('Utenti')
#     model = CheckCodiceFiscaleSettings
#     name = _('Check Codice Fiscale Form')
#     admin_preview = False

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         self.render_template = "utenti/cms_plugins/empty.html"
#         user = request.user

#         if not instance.status:
#             return context

#         try:
#             profile = user.get_profile()
#             lead = profile.get_lead()
#             rac = profile.get_rac()
#         except:
#             return context

#         if rac.stato not in ('1', '3', '5'):
#             return context

#         check_form = None

#         self.render_template = instance.form_template_name
#         form_class = import_class(instance.form)

#         if request.method == 'POST' and 'check_codice_fiscale_submit' in request.POST:
#             check_form = form_class(data=request.POST, files=request.FILES)
#             if check_form.is_valid():
#                 pass
#         else:
#             check_form = form_class()

#         context.update({
#             'object': instance,
#             'check_form': check_form,
#             'placeholder': placeholder,
#         })

#         return context

#plugin_pool.register_plugin(CheckCodiceFiscalePlugin)

# class RichiestaCodiceSbloccoPlugin(CMSPluginBase):
#     module = _('Utenti')
#     model = RichiestaCodiceSbloccoSettings
#     name = _('Richiesta Codice Sblocco Form')
#     admin_preview = False

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         user = request.user
#         self.render_template = "utenti/cms_plugins/empty.html"

#         if not instance.status:
#             return context

#         try:
#             profile = user.get_profile()
#             lead = profile.get_lead()
#             rac = profile.get_rac()
#         except:
#             return context

#         if rac.stato not in ('15'):
#             return context

#         richiesta_form = None

#         self.render_template = instance.form_template_name
#         form_class = import_class(instance.form)

#         if request.method == 'POST' and 'richiesta_codice_sblocco_submit' in request.POST:
#             richiesta_form = form_class(data=request.POST, files=request.FILES)
#             if richiesta_form.is_valid():
#                 pass
#         else:
#             richiesta_form = form_class()

#         context.update({
#             'object': instance,
#             'sblocco_form': richiesta_form,
#             'placeholder': placeholder,
#         })

#        return context

#plugin_pool.register_plugin(RichiestaCodiceSbloccoPlugin)

# class CheckCodiceSbloccoPlugin(CMSPluginBase):
#     module = _('Utenti')
#     model =  CheckCodiceSbloccoSettings
#     name = _('Check Codice Sblocco Form')
#     admin_preview = False
#
#     def render(self, context, instance, placeholder):
#         request = context['request']
#         user = request.user
#         self.render_template = "utenti/cms_plugins/empty.html"
#
#         if not instance.status:
#             return context
#
#         try:
#             profile = user.get_profile()
#             lead = profile.get_lead()
#             rac = profile.get_rac()
#         except:
#             return context
#
#         if rac.stato not in ('8', '14'):
#             return context
#
#         sblocco_form = None
#
#         self.render_template = instance.form_template_name
#         form_class = import_class(instance.form)
#
#         if request.method == 'POST' and 'sblocco_submit' in request.POST:
#             sblocco_form = form_class(data=request.POST, files=request.FILES)
#             if sblocco_form.is_valid():
#                 codice = "%s-%s-%s-%s" % (
#                     sblocco_form.cleaned_data['codice_conferma_uno'],
#                     sblocco_form.cleaned_data['codice_conferma_due'],
#                     sblocco_form.cleaned_data['codice_conferma_tre'],
#                     sblocco_form.cleaned_data['codice_conferma_quattro']
#                 )
#                 if rac.sblocca_posizione(codice_sblocco=codice.strip()):
#                     m = persistent_messages.add_message(
#                         request, persistent_messages.INFO,
#                         "%s ha sbloccato una posizione cliente." % lead,
#                         extra_tags='dashboard_cliente', from_user=user,
#                         user=User.objects.get(username='backoffice')
#                     )
#                     m.pertinence_group = Group.objects.get(name='BACKOFFICE')
#                     m.save()
#                     # per ora non facciamo compilare il mifid, sblocco subito
#                     request.user.get_profile().add_profile(ClienteProfile)
#                     cp = request.user.get_profile().get_profile(ClienteProfile)
#                     cp.mifid_compilato = True
#                     cp.abilitato = True
#                     cp.save()
#
#         else:
#             sblocco_form = form_class()
#
#         context.update({
#             'object': instance,
#             'sblocco_form': sblocco_form,
#             'placeholder': placeholder,
#         })
#
#         return context

# plugin_pool.register_plugin(CheckCodiceSbloccoPlugin)

# class RichiestaAttivazioneClientePlugin(CMSPluginBase):
#     module = _('Utenti')
#     model = RichiestaAttivazioneClienteSettings
#     name = _('Richiesta Attivazione Cliente Form')
#     admin_preview = False
#
#     def render(self, context, instance, placeholder):
#         request = context['request']
#         user = request.user
#         rac_form = None
#         self.render_template = "utenti/cms_plugins/registration/richiesta_attivazione_cliente_form.html"
#         self.render_template = "utenti/cms_plugins/registration/richiesta_attivazione_cliente_done.html"
#
#         if USER == USERS[1]: # lead
#             rac_form = RichiestaAttivazioneForm()
#
#         context.update({
#             'object': instance,
#             'rac_form': rac_form,
#             'placeholder': placeholder,
#         })
#
#         return context
# plugin_pool.register_plugin(RichiestaAttivazioneClientePlugin)

# class GestioneClientePlugin(CMSPluginBase):
#     module = _('Utenti')
#     model = GestioneClienteSettings
#     name = _('Gestione Cliente')
#     admin_preview = False

#     def render(self, context, instance, placeholder):
#         request = context['request']
#         user = request.user
#         self.render_template = "utenti/cms_plugins/registration/gestione_cliente.html"
#         gestione_form = None
#         rac = None
#         try:
#             profile = user.get_profile()
#             lead = profile.get_profile(LeadProfile)
#             rac = profile.get_rac()
#             if rac.stato in ('1', '3', '4'):
#                 if (
#                     request.method == 'POST' and
#                     'name_form' in request.POST and
#                     request.POST['name_form'] == 'richiesta_attivazione_cliente'
#                 ):
#                     gestione_form = RichiestaAttivazioneForm(request.POST)
#                     if gestione_form.is_valid():
#                         cf = gestione_form.cleaned_data['codice_fiscale']
#                         lead.cap = gestione_form.cleaned_data['cap']
#                         lead.citta = gestione_form.cleaned_data['citta']
#                         lead.indirizzo = gestione_form.cleaned_data['indirizzo']
#                         lead.provincia = gestione_form.cleaned_data['provincia']
#                         lead.save()
#                         if rac.richiedi_posizione_consultiva(cf):
#                             rac.accetta_contratto() # avviso il backoffice dell' accettazione del contratto
#                             m = persistent_messages.add_message(
#                                 request, persistent_messages.INFO,
#                                 "%s ha richiesto una posizione consultiva." % lead,
#                                 extra_tags='dashboard_lead', from_user=user,
#                                 user=User.objects.get(username='backoffice'),
#                                 email=True)
#                             m.pertinence_group = Group.objects.get(name='BACKOFFICE')
#                             m.save()
#                 else:
#                     gestione_form = RichiestaAttivazioneForm(initial={
#                         'indirizzo': lead.indirizzo,
#                         'citta' : lead.citta,
#                         'cap': lead.cap,
#                         'provincia': lead.provincia})
#             if rac.stato in ('2',):
#                 if request.method == 'POST':
#                     rac.accetta_contratto()
#             if rac.stato in ('8', '14'):
#                 if request.method == 'POST':
#                     gestione_form = AcomeaClienteConfermaForm(request.POST)
#                     if gestione_form.is_valid():
#                         codice = "%s-%s-%s-%s" % (
#                             gestione_form.cleaned_data['codice_conferma_uno'],
#                             gestione_form.cleaned_data['codice_conferma_due'],
#                             gestione_form.cleaned_data['codice_conferma_tre'],
#                             gestione_form.cleaned_data['codice_conferma_quattro'])
#                         if rac.sblocca_posizione(codice_sblocco=codice.strip()):
#                             m = persistent_messages.add_message(
#                                 request, persistent_messages.INFO,
#                                 "%s ha sbloccato una posizione cliente." % lead,
#                                 extra_tags='dashboard_cliente', from_user=user,
#                                 user=User.objects.get(username='backoffice'))
#                             m.pertinence_group = Group.objects.get(name='BACKOFFICE')
#                             m.save()
#                             # per ora non facciamo compilare il mifid, sblocco subito
#                             request.user.get_profile().add_profile(ClienteProfile)
#                             cp = request.user.get_profile().get_profile(ClienteProfile)
#                             cp.mifid_compilato = True
#                             cp.abilitato = True
#                             cp.save()
#                 gestione_form = AcomeaClienteConfermaForm()
#             if rac.stato in ('6', '9'):
#                 # form mifid
#                 pass

#             if rac.stato in ('10',):
#                 gestione_form = AcomeaIndirizzoSpedizioneForm()

#         except: # AnonymousUser has no attribute get_profile
#             return context

#         context.update({
#             'object': instance,
#             'placeholder': placeholder,
#             'gestione_form': gestione_form,
#             'rac': rac,
#         })

#         return context

# plugin_pool.register_plugin(GestioneClientePlugin)



class RecoveryPasswordPlugin(CMSPluginBase):
    module = _('Utenti')
    model = RecoveryPasswordSettings
    name = _('Recupero Password')
    admin_preview = False


    def render(self, context, instance, placeholder):
        """
        - not logged-in users: Show an input for entering email address for sending password-reset link
        - logged-in users: redirect users to reset password page (if slug is provided)
        """

        request = context['request']
        user = request.user
        self.render_template = instance.form_template_name
        form_class = import_class(instance.form)
        if user.is_authenticated():
            try:
                redirect_url = Title.objects.get(slug=instance.password_reset_pageslug).page.get_absolute_url()
                raise ForceResponse(HttpResponseRedirect(redirect_url))
            except Title.DoesNotExist:
                pass

        if request.method == 'POST' and 'form_identifier' in request.POST \
            and request.POST['form_identifier'] == 'recovery_password_form':
            form = form_class(request.POST)
            if form.is_valid():
                try:
                    page_relative_url = Title.objects.get(slug=instance.password_reset_pageslug).page.get_absolute_url()
                except Title.DoesNotExist:
                    page_relative_url = None
                try:
                    form.save(instance, request, page_relative_url)
                    context['instance']=instance
                    context['to_email']=form.cleaned_data['email']
                    self.render_template = instance.done_template_name
                except Exception, e:
                    form = form_class()
        else:
            form = form_class()
        context.update({
            'instance':instance,
            'form':form
        })
        return context

plugin_pool.register_plugin(RecoveryPasswordPlugin)


class ResetPasswordPlugin(CMSPluginBase):
    module = _('Utenti')
    model = ResetPasswordSettings
    name = _('Reset/Cambio Password')
    admin_preview = False

    def render(self, context, instance, placeholder):
        """
        check the presence and validity of both uid and token passed in request.GET in the url
        of reset-password email message (based on django.contrib.auth.views.password_reset_confirm) for
        non-authenticated users.
        For authenticated users, get the usual change password form w/ old password.
        """
        request = context['request']
        user = request.user
        self.render_template = instance.form_template_name
        validlink = False
        username = None
        form = None
        display_form = True
        fallback_page = None
        fallback_page_url = None

        if user.is_authenticated():
        # LOGGED-IN USERS
            if request.session and 'reset_pw_success' in request.session and request.session['reset_pw_success'] == True:
                # if password-reset process has been successfull, retrieve session data that confirm it, delete it from
                # session, set the done_template as render template in context and return it
                sess = request.session
                del request.session['reset_pw_success']
                if 'fallback_page' in request.session:
                    fallback_page = request.session['fallback_page']
                    #fallback_page_url = fallback_page.get_absolute_url()
                    del request.session['fallback_page']

                self.render_template = instance.done_template_name
                context.update({
                    'user':user,
                    'instance':instance,
                    'form':form,
                    'validlink':validlink,
                    'username':username,
                    'display_form':display_form,
                    'fallback_page':fallback_page,
                    'fallback_page_url':fallback_page_url
                })
                return context

            form_class = import_class(instance.form_logged_in)
        else:
            # presenta il form di modifica password
            form_class = import_class(instance.form_notlogged_in)

        if not user.is_authenticated() and 'uidb36' in request.GET and 'token' in request.GET:
        # NOT LOGGED-IN USERS
            try:
                uid_int = base36_to_int(request.GET['uidb36'])
                _user = User.objects.get(id=uid_int)
            except (ValueError, User.DoesNotExist):
                _user = None
                display_form = False
            if _user is not None and default_token_generator.check_token(_user, request.GET['token']):
                # l'utente esiste e il token è valido
                validlink = True
                username = _user.username
                if len(request.POST):
                    form = form_class(_user, request.POST)
                else:
                    form = form_class(_user)
                if form.is_valid():
                    user = form.save()
                    user = authenticate(username=user.username,
                                        password=form.cleaned_data.get('new_password2'))
                    login(request, user)
                    try:
                        redirect_url = request.get_full_path()
                        response_redirect = HttpResponseRedirect(redirect_url)
                        request.session['reset_pw_success'] = True
                        request.session['fallback_page'] = Title.objects.get(slug=instance.redirect_to).page
                        # raise ForceResponse(response_redirect)
                    except Title.DoesNotExist:
                        request.session['fallback_page'] = None
                    finally:
                        raise ForceResponse(response_redirect)
                    # self.render_template = instance.done_template_name
            else:
                self.render_template = instance.done_template_name
                user = None
                form = None
                display_form = False

        elif user.is_authenticated():
            if user.profilo.is_only_social:
                raise ForceResponse(HttpResponseRedirect('/'))
        # LOGGED-IN USERS
            if len(request.POST):
                form = form_class(user=user, data=request.POST)
            else:
                form = form_class(user=user)
            if form.is_valid():
                try:
                    fallback_page = Title.objects.get(slug=instance.redirect_to).page
                except Title.DoesNotExist:
                    fallback_page = None
                context.update({
                    'change_pw_success':True,
                    'fallback_page': fallback_page
                })
                form.save()
                self.render_template = instance.done_template_name
            # else:
            #     form = form_class(user)

        else:
            # not logged-in user, no uid or token --> redirect to fallback page
            try:
                redirect_url = Title.objects.get(slug=instance.redirect_to).page.get_absolute_url()
                # raise ForceResponse(HttpResponseRedirect(redirect_url))
            except Title.DoesNotExist:
                # if no fallback page is provided,  fallback page will be home
                redirect_url = request.current_page.get_root().get_absolute_url()
            finally:
                raise ForceResponse(HttpResponseRedirect(redirect_url))
        context.update({
            'user':user,
            'instance':instance,
            'form':form,
            'validlink':validlink,
            'username':username,
            'display_form':display_form

        })
        return context

plugin_pool.register_plugin(ResetPasswordPlugin)




