from acomea.utenti.models import AcomeaProfiles, LeadProfile, RichiestaAttivazioneCliente
from acomea.utenti.models import ClienteProfile, PromotoreProfile, UtenteReteProfile, AcomeaProfile, Rete
from cmsplugin_filer_file.models import FilerFile
from django.contrib.auth.models import User
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    """Carica i profili dal vecchio db"""
    help = 'Carica i profili dal vecchio db, prima devi rinominare dal vecchio profile_ in profiles_'
    option_list = BaseCommand.option_list + ()

    def handle(self, *scripts, **opts):

        RichiestaAttivazioneCliente.objects.all().delete()
        LeadProfile.objects.all().delete()
        AcomeaProfiles.objects.all().delete()
        #User.objects.filter(is_staff=False).delete()
        User.objects.exclude(pk=1).delete()

        print "migro le reti"
	Rete.objects.all().delete()
        v_reti = Rete.objects.using('vecchio').all()
        for v_rete in v_reti:
            n_rete = Rete()
            n_rete.id=v_rete.id
            n_rete.nome=v_rete.nome
            n_rete.codice=v_rete.codice
            n_rete.save()

        print "migro i %s profili dal vecchio" % AcomeaProfiles.objects.using('vecchio').all().count()
        for obj in AcomeaProfiles.objects.using('vecchio').all():
            nu = {}
            nu['username'] = obj.user.username.strip()
            nu['first_name'] = obj.user.first_name.strip()
            nu['last_name'] = obj.user.last_name.strip()
            nu['email'] = obj.user.email.strip()
            nu['password'] = obj.user.password
            nu['is_staff'] = obj.user.is_staff
            nu['is_superuser'] = obj.user.is_superuser
            u, created = User.objects.get_or_create(pk=obj.user.pk, username=nu['username'])
            u.email=nu['email']
            u.password=nu['password']
            u.first_name = nu['first_name']
            u.last_name = nu['last_name']
            u.is_staff = nu['is_staff']
            u.is_superuser = nu['is_superuser']
            u.save()

            if AcomeaProfiles.objects.filter(user=u).count() > 0:

                qslead = LeadProfile.objects.using('vecchio').filter(scprofiles=obj)
                if len(qslead) > 0:
                    lead = qslead[0]
                    lead_dict = {}
                    lead_dict['nickname'] = lead.nickname
                    lead_dict['abilitato'] = lead.abilitato
                    lead_dict['data_di_registrazione'] = lead.data_di_registrazione
                    lead_dict['data_di_nascita'] = lead.data_di_nascita
                    lead_dict['telefono'] = lead.telefono
                    lead_dict['indirizzo'] = lead.indirizzo
                    lead_dict['citta'] = lead.citta
                    lead_dict['cap'] = lead.cap
                    lead_dict['provincia'] = lead.provincia
                    lead_dict['hobby_uno'] = lead.hobby_uno
                    lead_dict['hobby_due'] = lead.hobby_due
                    lead_dict['hobby_tre'] = lead.hobby_tre
                    lead_dict['mercato_di_interesse'] = lead.mercato_di_interesse
                    lead_dict['iscrizione_alla_newsletter'] = lead.iscrizione_alla_newsletter
                    lead_dict['professionale'] = lead.professionale

                    newlead = u.get_profile().add_profile(LeadProfile, fields_dict=lead_dict)


                    rac = RichiestaAttivazioneCliente.objects.using('vecchio').get(leadprofile=lead)

                    newrac = RichiestaAttivazioneCliente()
                    newrac.leadprofile = newlead
                    newrac.stato = rac.stato
                    newrac.numero_cf_errato = rac.numero_cf_errato
                    newrac.numero_non_approvazioni = rac.numero_non_approvazioni
                    newrac.codice_fiscale = rac.codice_fiscale
                    newrac.indirizzo_spedizione_alternativo = rac.indirizzo_spedizione_alternativo
                    newrac.citta_spedizione_alternativa = rac.citta_spedizione_alternativa
                    newrac.cap_spedizione_alternativo = rac.cap_spedizione_alternativo
                    newrac.codice_conferma_consultivo = rac.codice_conferma_consultivo
                    newrac.codice_conferma_dispositivo = rac.codice_conferma_dispositivo
                    newrac.save()


                qscliente = ClienteProfile.objects.using('vecchio').filter(scprofiles=obj)
                if len(qscliente) > 0:
                    cliente = qscliente[0]
                    cliente_dict = {}
                    cliente_dict['abilitato'] = cliente.abilitato
                    cliente_dict['dispositivo'] = cliente.dispositivo
                    cliente_dict['mifid_compilato'] = cliente.mifid_compilato

                    newcliente = u.get_profile().add_profile(ClienteProfile, fields_dict=cliente_dict)

                qspromotore = PromotoreProfile.objects.using('vecchio').filter(scprofiles=obj)
                if len(qspromotore) > 0:
                    promotore = qspromotore[0]
                    promotore_dict = {}
                    promotore_dict['abilitato'] = promotore.abilitato
                    promotore_dict['codice'] = promotore.codice

                    newpromotore = u.get_profile().add_profile(PromotoreProfile, fields_dict=promotore_dict)

                qsrete = UtenteReteProfile.objects.using('vecchio').filter(scprofiles=obj)
                if len(qsrete) > 0:
                    rete = qsrete[0]
                    rete_dict = {}
                    rete_dict['abilitato'] = rete.abilitato
                    rete_dict['rete_id'] = rete.rete.id

                    newrete = u.get_profile().add_profile(UtenteReteProfile, fields_dict=rete_dict)

                qsacomea = AcomeaProfile.objects.using('vecchio').filter(scprofiles=obj)
                if len(qsacomea) > 0:
                    acomea = qsacomea[0]
                    acomea_dict = {}
                    acomea_dict['abilitato'] = acomea.abilitato

                    newacomea = u.get_profile().add_profile(AcomeaProfile, fields_dict=acomea_dict)
