# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'AcomeaProfile'
        db.create_table('utenti_acomeaprofile', (
            ('scprofile_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['profiles.SCProfile'], unique=True, primary_key=True)),
            ('abilitato', self.gf('django.db.models.fields.BooleanField')(default=True)),
        ))
        db.send_create_signal('utenti', ['AcomeaProfile'])

        # Adding model 'RichiestaAttivazioneCliente'
        db.create_table('utenti_richiestaattivazionecliente', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('leadprofile', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['utenti.LeadProfile'], unique=True)),
            ('stato', self.gf('django.db.models.fields.CharField')(default='1', max_length=128)),
            ('numero_cf_errato', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('numero_non_approvazioni', self.gf('django.db.models.fields.PositiveIntegerField')(default=0)),
            ('codice_fiscale', self.gf('django.db.models.fields.CharField')(max_length=16, null=True, blank=True)),
            ('indirizzo_spedizione_alternativo', self.gf('django.db.models.fields.CharField')(max_length=128, null=True, blank=True)),
            ('citta_spedizione_alternativa', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('cap_spedizione_alternativo', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('codice_conferma_consultivo', self.gf('django.db.models.fields.CharField')(max_length=32, null=True, blank=True)),
            ('codice_conferma_dispositivo', self.gf('django.db.models.fields.CharField')(max_length=32, null=True, blank=True)),
        ))
        db.send_create_signal('utenti', ['RichiestaAttivazioneCliente'])

        # Adding model 'Rete'
        db.create_table('utenti_rete', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('codice', self.gf('django.db.models.fields.CharField')(unique=True, max_length=32)),
        ))
        db.send_create_signal('utenti', ['Rete'])

        # Adding model 'UtenteReteProfile'
        db.create_table('utenti_utentereteprofile', (
            ('scprofile_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['profiles.SCProfile'], unique=True, primary_key=True)),
            ('abilitato', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('rete', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['utenti.Rete'])),
        ))
        db.send_create_signal('utenti', ['UtenteReteProfile'])

        # Adding model 'PromotoreProfile'
        db.create_table('utenti_promotoreprofile', (
            ('scprofile_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['profiles.SCProfile'], unique=True, primary_key=True)),
            ('abilitato', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('codice', self.gf('django.db.models.fields.CharField')(unique=True, max_length=32)),
        ))
        db.send_create_signal('utenti', ['PromotoreProfile'])

        # Adding model 'AcomeaRegistrationProfile'
        db.create_table('utenti_acomearegistrationprofile', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'], unique=True)),
            ('activation_key', self.gf('django.db.models.fields.CharField')(max_length=40)),
        ))
        db.send_create_signal('utenti', ['AcomeaRegistrationProfile'])

        # Adding model 'AcomeaProfiles'
        db.create_table('utenti_acomeaprofiles', (
            ('scprofiles_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['profiles.SCProfiles'], unique=True, primary_key=True)),
            ('creato_da_backoffice', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ultima_modifica', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
        ))
        db.send_create_signal('utenti', ['AcomeaProfiles'])

        # Adding model 'OneTimePassword'
        db.create_table('utenti_onetimepassword', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('timestamp', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('otp', self.gf('django.db.models.fields.CharField')(unique=True, max_length=64)),
            ('sessionid', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('utente_richiedente', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'])),
            ('codice_richiedente', self.gf('django.db.models.fields.CharField')(max_length=32)),
            ('usata', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal('utenti', ['OneTimePassword'])

        # Adding model 'LeadProfile'
        db.create_table('utenti_leadprofile', (
            ('scprofile_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['profiles.SCProfile'], unique=True, primary_key=True)),
            ('nickname', self.gf('django.db.models.fields.CharField')(max_length=64, unique=True, null=True, blank=True)),
            ('abilitato', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('data_di_registrazione', self.gf('django.db.models.fields.DateField')(auto_now_add=True, blank=True)),
            ('data_di_nascita', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('telefono', self.gf('django.db.models.fields.CharField')(max_length=32, null=True, blank=True)),
            ('indirizzo', self.gf('django.db.models.fields.CharField')(max_length=128, null=True, blank=True)),
            ('citta', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('cap', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('provincia', self.gf('django.db.models.fields.CharField')(max_length=2, null=True, blank=True)),
            ('hobby_uno', self.gf('django.db.models.fields.CharField')(max_length=512, null=True, blank=True)),
            ('hobby_due', self.gf('django.db.models.fields.CharField')(max_length=512, null=True, blank=True)),
            ('hobby_tre', self.gf('django.db.models.fields.CharField')(max_length=512, null=True, blank=True)),
            ('mercato_di_interesse', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('iscrizione_alla_newsletter', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('professionale', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal('utenti', ['LeadProfile'])

        # Adding model 'ClienteProfile'
        db.create_table('utenti_clienteprofile', (
            ('scprofile_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['profiles.SCProfile'], unique=True, primary_key=True)),
            ('abilitato', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('dispositivo', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('mifid_compilato', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal('utenti', ['ClienteProfile'])


    def backwards(self, orm):
        # Deleting model 'AcomeaProfile'
        db.delete_table('utenti_acomeaprofile')

        # Deleting model 'RichiestaAttivazioneCliente'
        db.delete_table('utenti_richiestaattivazionecliente')

        # Deleting model 'Rete'
        db.delete_table('utenti_rete')

        # Deleting model 'UtenteReteProfile'
        db.delete_table('utenti_utentereteprofile')

        # Deleting model 'PromotoreProfile'
        db.delete_table('utenti_promotoreprofile')

        # Deleting model 'AcomeaRegistrationProfile'
        db.delete_table('utenti_acomearegistrationprofile')

        # Deleting model 'AcomeaProfiles'
        db.delete_table('utenti_acomeaprofiles')

        # Deleting model 'OneTimePassword'
        db.delete_table('utenti_onetimepassword')

        # Deleting model 'LeadProfile'
        db.delete_table('utenti_leadprofile')

        # Deleting model 'ClienteProfile'
        db.delete_table('utenti_clienteprofile')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'profiles.scprofile': {
            'Meta': {'object_name': 'SCProfile'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']", 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'scprofiles': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['profiles.SCProfiles']"})
        },
        'profiles.scprofiles': {
            'Meta': {'object_name': 'SCProfiles'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        },
        'utenti.acomeaprofile': {
            'Meta': {'object_name': 'AcomeaProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        },
        'utenti.acomeaprofiles': {
            'Meta': {'object_name': 'AcomeaProfiles', '_ormbases': ['profiles.SCProfiles']},
            'creato_da_backoffice': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'scprofiles_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfiles']", 'unique': 'True', 'primary_key': 'True'}),
            'ultima_modifica': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'utenti.acomearegistrationprofile': {
            'Meta': {'object_name': 'AcomeaRegistrationProfile'},
            'activation_key': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        },
        'utenti.clienteprofile': {
            'Meta': {'object_name': 'ClienteProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dispositivo': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'mifid_compilato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        },
        'utenti.leadprofile': {
            'Meta': {'object_name': 'LeadProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'cap': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'citta': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'data_di_nascita': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'data_di_registrazione': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'hobby_due': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_tre': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_uno': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'indirizzo': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'iscrizione_alla_newsletter': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'mercato_di_interesse': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'nickname': ('django.db.models.fields.CharField', [], {'max_length': '64', 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'professionale': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'provincia': ('django.db.models.fields.CharField', [], {'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'}),
            'telefono': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'})
        },
        'utenti.onetimepassword': {
            'Meta': {'object_name': 'OneTimePassword'},
            'codice_richiedente': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'otp': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'sessionid': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'usata': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'utente_richiedente': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'utenti.promotoreprofile': {
            'Meta': {'object_name': 'PromotoreProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'codice': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        },
        'utenti.rete': {
            'Meta': {'object_name': 'Rete'},
            'codice': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'utenti.richiestaattivazionecliente': {
            'Meta': {'ordering': "('stato', 'leadprofile')", 'object_name': 'RichiestaAttivazioneCliente'},
            'cap_spedizione_alternativo': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'citta_spedizione_alternativa': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'codice_conferma_consultivo': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'codice_conferma_dispositivo': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'codice_fiscale': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'indirizzo_spedizione_alternativo': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'leadprofile': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['utenti.LeadProfile']", 'unique': 'True'}),
            'numero_cf_errato': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'numero_non_approvazioni': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'stato': ('django.db.models.fields.CharField', [], {'default': "'1'", 'max_length': '128'})
        },
        'utenti.utentereteprofile': {
            'Meta': {'object_name': 'UtenteReteProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'rete': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['utenti.Rete']"}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        }
    }

    complete_apps = ['utenti']