# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'RecoveryPasswordSettings'
        db.create_table('cmsplugin_recoverypasswordsettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('form', self.gf('django.db.models.fields.CharField')(default='acomea.utenti.forms.RecoveryPasswordForm', max_length=100)),
            ('sent_from', self.gf('django.db.models.fields.EmailField')(default='info@example.org', max_length=75)),
            ('done_message', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('form_template_name', self.gf('django.db.models.fields.CharField')(default='utenti/cms_plugins/registration/recovery_password_form.html', max_length=100)),
            ('done_template_name', self.gf('django.db.models.fields.CharField')(default='utenti/cms_plugins/registration/recovery_password_done.html', max_length=100)),
            ('email_template_name', self.gf('django.db.models.fields.CharField')(default='utenti/cms_plugins/registration/recovery_password_email.html', max_length=100)),
        ))
        db.send_create_signal('utenti', ['RecoveryPasswordSettings'])


    def backwards(self, orm):
        # Deleting model 'RecoveryPasswordSettings'
        db.delete_table('cmsplugin_recoverypasswordsettings')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'profiles.scprofile': {
            'Meta': {'object_name': 'SCProfile'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']", 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'scprofiles': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['profiles.SCProfiles']"})
        },
        'profiles.scprofiles': {
            'Meta': {'object_name': 'SCProfiles'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        },
        'utenti.acomeaprofile': {
            'Meta': {'object_name': 'AcomeaProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        },
        'utenti.acomeaprofiles': {
            'Meta': {'object_name': 'AcomeaProfiles', '_ormbases': ['profiles.SCProfiles']},
            'creato_da_backoffice': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'scprofiles_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfiles']", 'unique': 'True', 'primary_key': 'True'}),
            'ultima_modifica': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'utenti.acomearegistrationprofile': {
            'Meta': {'object_name': 'AcomeaRegistrationProfile'},
            'activation_key': ('django.db.models.fields.CharField', [], {'max_length': '40'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'unique': 'True'})
        },
        'utenti.clienteprofile': {
            'Meta': {'object_name': 'ClienteProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dispositivo': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'mifid_compilato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        },
        'utenti.gestioneclientesettings': {
            'Meta': {'object_name': 'GestioneClienteSettings', 'db_table': "'cmsplugin_gestioneclientesettings'", '_ormbases': ['cms.CMSPlugin']},
            'classes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'})
        },
        'utenti.leadprofile': {
            'Meta': {'object_name': 'LeadProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'cap': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'citta': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'data_di_nascita': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'data_di_registrazione': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'hobby_due': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_tre': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_uno': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'indirizzo': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'iscrizione_alla_newsletter': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'mercato_di_interesse': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'nickname': ('django.db.models.fields.CharField', [], {'max_length': '64', 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'professionale': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'provincia': ('django.db.models.fields.CharField', [], {'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'}),
            'telefono': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'})
        },
        'utenti.loginsettings': {
            'Meta': {'object_name': 'LoginSettings', 'db_table': "'cmsplugin_loginsettings'", '_ormbases': ['cms.CMSPlugin']},
            'classes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'lostpassword_link': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'redirect_to': ('django.db.models.fields.CharField', [], {'default': "'la-tua-posizione'", 'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'registration_link': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/login.html'", 'max_length': '100'})
        },
        'utenti.onetimepassword': {
            'Meta': {'object_name': 'OneTimePassword'},
            'codice_richiedente': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'otp': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'sessionid': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'usata': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'utente_richiedente': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'utenti.posizioneacomeasettings': {
            'Meta': {'object_name': 'PosizioneAcomeASettings', 'db_table': "'cmsplugin_posizioneacomeasettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/utenti_acomea.html'", 'max_length': '100'})
        },
        'utenti.posizionedettagliosettings': {
            'Meta': {'object_name': 'PosizioneDettaglioSettings', 'db_table': "'cmsplugin_posizionedettagliosettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/utenti_dettaglio.html'", 'max_length': '100'})
        },
        'utenti.posizioneintestazionesettings': {
            'Meta': {'object_name': 'PosizioneIntestazioneSettings', 'db_table': "'cmsplugin_posizioneintestazionesettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/utenti_intestazione.html'", 'max_length': '100'})
        },
        'utenti.posizionepromotoresettings': {
            'Meta': {'object_name': 'PosizionePromotoreSettings', 'db_table': "'cmsplugin_posizionepromotoresettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/utenti_promotore.html'", 'max_length': '100'})
        },
        'utenti.posizioneretesettings': {
            'Meta': {'object_name': 'PosizioneReteSettings', 'db_table': "'cmsplugin_posizioneretesettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/utenti_rete.html'", 'max_length': '100'})
        },
        'utenti.posizioneriepilogosettings': {
            'Meta': {'object_name': 'PosizioneRiepilogoSettings', 'db_table': "'cmsplugin_posizioneriepilogosettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/utenti_riepilogo.html'", 'max_length': '100'})
        },
        'utenti.promotoreprofile': {
            'Meta': {'object_name': 'PromotoreProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'codice': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        },
        'utenti.recoverypasswordsettings': {
            'Meta': {'object_name': 'RecoveryPasswordSettings', 'db_table': "'cmsplugin_recoverypasswordsettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'done_message': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'done_template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/registration/recovery_password_done.html'", 'max_length': '100'}),
            'email_template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/registration/recovery_password_email.html'", 'max_length': '100'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'acomea.utenti.forms.RecoveryPasswordForm'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/registration/recovery_password_form.html'", 'max_length': '100'}),
            'sent_from': ('django.db.models.fields.EmailField', [], {'default': "'info@example.org'", 'max_length': '75'})
        },
        'utenti.registrazioneleadsettings': {
            'Meta': {'object_name': 'RegistrazioneLeadSettings', 'db_table': "'cmsplugin_registrazioneleadsettings'", '_ormbases': ['cms.CMSPlugin']},
            'classes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'email_template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/registration_email.html'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/registration_form.html'", 'max_length': '100'}),
            'sent_from': ('django.db.models.fields.EmailField', [], {'default': "'sender@example.org'", 'max_length': '75'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'thanks': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'thanks_template_name': ('django.db.models.fields.CharField', [], {'default': "'utenti/cms_plugins/registration_thanks.html'", 'max_length': '100'})
        },
        'utenti.rete': {
            'Meta': {'object_name': 'Rete'},
            'codice': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'utenti.richiestaattivazionecliente': {
            'Meta': {'ordering': "('stato', 'leadprofile')", 'object_name': 'RichiestaAttivazioneCliente'},
            'cap_spedizione_alternativo': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'citta_spedizione_alternativa': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'codice_conferma_consultivo': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'codice_conferma_dispositivo': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'codice_fiscale': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'indirizzo_spedizione_alternativo': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'leadprofile': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['utenti.LeadProfile']", 'unique': 'True'}),
            'numero_cf_errato': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'numero_non_approvazioni': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'stato': ('django.db.models.fields.CharField', [], {'default': "'1'", 'max_length': '128'})
        },
        'utenti.richiestaattivazioneclientesettings': {
            'Meta': {'object_name': 'RichiestaAttivazioneClienteSettings', 'db_table': "'cmsplugin_richiestaattivazioneclientesettings'", '_ormbases': ['cms.CMSPlugin']},
            'classes': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'})
        },
        'utenti.utentereteprofile': {
            'Meta': {'object_name': 'UtenteReteProfile', '_ormbases': ['profiles.SCProfile']},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'rete': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['utenti.Rete']"}),
            'scprofile_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['profiles.SCProfile']", 'unique': 'True', 'primary_key': 'True'})
        }
    }

    complete_apps = ['utenti']