# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext_lazy as _



UTENTI_CMSPLUGIN_INTESTAZIONE_TEMPLATES = (
    ("utenti/cms_plugins/utenti_intestazione.html", _("Utenti intestazione"),),
)
UTENTI_CMSPLUGIN_DETTAGLIO_TEMPLATES = (
    ("utenti/cms_plugins/utenti_dettaglio.html", _("Utenti dettaglio"),),
)
UTENTI_CMSPLUGIN_RIEPILOGO_TEMPLATES = (
    ("utenti/cms_plugins/utenti_riepilogo.html", _("Utenti riepilogo"),),
)
UTENTI_CMSPLUGIN_ACOMEA_TEMPLATES = (
    ("utenti/cms_plugins/utenti_acomea.html", _("AcomeA Posizione"),),
)
UTENTI_CMSPLUGIN_RETE_TEMPLATES = (
    ("utenti/cms_plugins/utenti_rete.html", _("Rete Posizione"),),
)
UTENTI_CMSPLUGIN_PROMOTORE_TEMPLATES = (
    ("utenti/cms_plugins/utenti_promotore.html", _("Promotore Posizione"),),
)

UTENTI_CMSPLUGIN_LOGIN_TEMPLATES = (
    ("utenti/cms_plugins/login.html", _("Utenti login"),),
    ("utenti/cms_plugins/login_home_tale.html", _("Utenti login Home(tale)"),),
    ("utenti/cms_plugins/login_myacomea.html", _("Myacomea login"),),
)

UTENTI_CMSPLUGIN_SUBSCRIPTION_FORM_TEMPLATES = (
    ("utenti/cms_plugins/registration_form.html", _("Registration Form"),),
)
UTENTI_CMSPLUGIN_SUBSCRIPTION_THANKS_TEMPLATES = (
    ("utenti/cms_plugins/registration_thanks.html", _("Registration Thanks"),),
)
UTENTI_CMSPLUGIN_SUBSCRIPTION_EMAIL_TEMPLATES = (
    ("utenti/cms_plugins/registration_email.html", _("Registration Email"),),
)

ACCOUNT_ACTIVATION_DAYS = 3
REGISTER_EMAIL_FROM = 'info@acomea.it'

# configurazione bridge verso frams
UTENTI_FRAMS_HOST_CLIENT = 'https://privato.acomea.it'
UTENTI_FRAMS_HOST_PRIVATE = 'https://professionale.acomea.it'
UTENTI_FRAMS_TIMEOUT_SECONDS = 10
UTENTI_FRAMS_NOTIFICATION_RECIPIENTS=["scittadini@thundersystems.it", "ict@acomea.it"]
UTENTI_PROFILE_SHOW_FRAMS = True


# password recovery
UTENTI_CMSPLUGIN_PASSWORDRECOVERY_FORM_TEMPLATES = (
    ("utenti/cms_plugins/registration/recovery_password_form.html", _("recovery password form template"),),
)

UTENTI_CMSPLUGIN_PASSWORDRECOVERY_DONE_TEMPLATES = (
    ("utenti/cms_plugins/registration/recovery_password_done.html", _("recovery password done template"),),
)

UTENTI_CMSPLUGIN_PASSWORDRECOVERY_EMAIL_TEMPLATES = (
    ("utenti/cms_plugins/registration/recovery_password_email.html", _("recovery password email template"),),
)

UTENTI_CMSPLUGIN_PASSWORDRECOVERY_FORM_CLASSES = (
    ("acomea.utenti.forms.RecoveryPasswordForm", _("recovery password form"),),
)



# password reset
UTENTI_CMSPLUGIN_PASSWORDRESET_FORM_TEMPLATES = (
    ("utenti/cms_plugins/registration/reset_password_form.html", _("reset password form template"),),
)

UTENTI_CMSPLUGIN_PASSWORDRESET_DONE_TEMPLATES = (
    ("utenti/cms_plugins/registration/reset_password_done.html", _("reset password done template"),),
)

UTENTI_CMSPLUGIN_PASSWORDRESET_EMAIL_TEMPLATES = (
    ("utenti/cms_plugins/registration/reset_password_email.html", _("reset password email template"),),
)

UTENTI_CMSPLUGIN_PASSWORDRESET_LOGGEDIN_FORM_CLASSES = (
    ("acomea.utenti.forms.SetPasswordFormWOldPW", _("change password form w/ old pw"),),
)

UTENTI_CMSPLUGIN_PASSWORDRESET_NOTLOGGEDIN_FORM_CLASSES = (
    ("acomea.utenti.forms.ResetPasswordForm", _("reset password form"),),
)

UTENTI_CMSPLUGIN_REGISTRATIONNEW_FORM_CLASSES = (
    ("acomea.utenti.forms.AcomeaLeadRegistrationNewForm", _("registration new form"),),
)

UTENTI_CMSPLUGIN_REGISTRATIONNEW_FORM_TEMPLATES = (
    ("utenti/cms_plugins/registration_new/registration_form.html", _("registration new form template"),),
)


UTENTI_CMSPLUGIN_REGISTRATIONNEW_EMAIL_REGISTRATIONDONE_TEMPLATES = (
    ("utenti/cms_plugins/registration_new/registration_done_email.html", _("registration done email template"),),
)

UTENTI_CMSPLUGIN_REGISTRATIONNEW_EMAIL_ACTIVATIONDONE_TEMPLATES = (
    ("utenti/cms_plugins/registration_new/activation_done_email.html", _("activation done email template"),),
)

# check codice fiscale
UTENTI_CMSPLUGIN_CHECKFISCALCODE_FORM_CLASSES = (
    ("acomea.utenti.forms.CodiceFiscaleForm", _("check codice fiscale form"),),
)

UTENTI_CMSPLUGIN_CHECKFISCALCODE_FORM_TEMPLATES = (
    ("utenti/cms_plugins/registration_new/codice_fiscale_form.html", _("check codice fiscale form template"),),
)

# conferma cliente
UTENTI_CMSPLUGIN_CLIENTECONFERMA_FORM_CLASSES = (
    ("acomea.utenti.forms.AcomeaClienteConfermaForm", _("form conferma cliente"),),
)

UTENTI_CMSPLUGIN_CLIENTECONFERMA_FORM_TEMPLATES = (
    ("utenti/cms_plugins/registration_new/cliente_conferma_form.html", _("conferma cliente form template"),),
)

# richiesta codice sblocco
UTENTI_CMSPLUGIN_RICHIESTACODICESBLOCCO_FORM_CLASSES = (
    ("acomea.utenti.forms.RichiestaCodiceSbloccoForm", _("richiesta codice sblocco form"),),
)

UTENTI_CMSPLUGIN_RICHIESTACODICESBLOCCO_FORM_TEMPLATES = (
    ("utenti/cms_plugins/registration_new/richiesta_codice_sblocco_form.html", _("richiesta codice sblocco form template"),),
)

UTENTI_LOGIN_VIEW_REDIRECT_MYACOMEA = {
    "equals": ["/", "/my_acomea/thankyou-new-user/"],
    "startswith": ["/scopri-prodotti/"]
}
